Name:           vhci-hcd
Version:        1.15
Release:        1%{?dist}
Summary:        USB Virtual Host Controller Interface kernel module

License:        GPLv2
URL:            https://sourceforge.net/projects/usb-vhci/
Source0:        https://sourceforge.net/projects/usb-vhci/files/linux%20kernel%20module/vhci-hcd-1.15.tar.gz
Source1:        usb_vhci.conf
Source2:        dkms.conf

Patch0:         vhci-hcd-disable-debug.patch
Patch1:         vhci-iocifc-disable-debug.patch
Patch2:         modified_accessok_func.patch

BuildArch:      noarch
BuildRequires:  kernel-devel
Requires:       kernel-devel
Requires:       gcc
Requires:       make
Requires:       dkms

%description
vhci-hcd module along with libusb-vhci allows a process to create a virtual usb host controller.
Real or virtual usb devices can be "plugged" into this controller.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%if 0%{?el8}
%patch2 -p1
%endif


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_usrsrc}/%{name}-%{version}
cp -r * $RPM_BUILD_ROOT/%{_usrsrc}/%{name}-%{version}
cp %{SOURCE2} $RPM_BUILD_ROOT/%{_usrsrc}/%{name}-%{version}/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/modules-load.d/
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/modules-load.d/
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/linux/
cp usb-vhci.h $RPM_BUILD_ROOT/%{_includedir}/linux/


%files
%defattr(-,root,root)
%{_sysconfdir}/modules-load.d/usb_vhci.conf
%{_usrsrc}/%{name}-%{version}/*
%{_includedir}/linux/*


%post
occurrences=/usr/sbin/dkms status | grep "%{name}" | grep "%{version}" | wc -l
if [ ! occurrences > 0 ]; then
    /usr/sbin/dkms add -m %{name} -v %{version}
fi
/usr/sbin/dkms build -m %{name} -v %{version}
/usr/sbin/dkms install -m %{name} -v %{version}
systemctl enable --now dkms
exit 0

%preun
/usr/sbin/dkms remove -m %{name} -v %{version} --all

%changelog
* Thu Jun 04 2020 Castor Sky <csky57@gmail.com> 1.15-1
- First version of RPM package
